## ros-kinetic-velodyne 1.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(velodyne)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-velodyne (1.5.2-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 28 Jan 2019 06:00:00 -0000

ros-kinetic-velodyne (1.5.1-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 10 Dec 2018 06:00:00 -0000

ros-kinetic-velodyne (1.5.0-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 19 Oct 2018 05:00:00 -0000

ros-kinetic-velodyne (1.4.0-0xenial) xenial; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/velodyne/issues/160> from ros-drivers/maint/updating_package_xml_to_v2
  * Updated all package.xmls to ver 2. Cleaned up catkin_lint errors.
    All package.xml files are now compatible with version 2 of the
    package.xml specification in REP 140. Removed some unnecessary
    execute permissions on a few files. Fixed a missing test_depend.
  * Contributors: Andre Volk, Joshua Whitley

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Wed, 19 Sep 2018 05:00:00 -0000

ros-kinetic-velodyne (1.3.0-0xenial) xenial; urgency=high

  * Merge pull request #110 <https://github.com/ros-drivers/velodyne/issues/110> from kmhallen/master
    Added velodyne_laserscan package
  * Added velodyne_laserscan package and inserted into existing launch files
  * Contributors: Jack O'Quin, Joshua Whitley, Kevin Hallenbeck

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 10 Nov 2017 06:00:00 -0000

ros-kinetic-velodyne (1.2.0-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Wed, 06 Aug 2014 05:00:00 -0000

ros-kinetic-velodyne (1.1.2-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Tue, 05 Nov 2013 06:00:00 -0000

ros-kinetic-velodyne (1.1.1-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Tue, 30 Jul 2013 05:00:00 -0000

ros-kinetic-velodyne (1.1.0-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-kinetic-velodyne (1.0.1-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Sat, 15 Jun 2013 05:00:00 -0000

ros-kinetic-velodyne (1.0.0-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 14 Jun 2013 05:00:00 -0000

ros-kinetic-velodyne (0.9.2-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 08 Jul 2013 05:00:00 -0000

ros-kinetic-velodyne (0.9.1-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Tue, 05 Jun 2012 05:00:00 -0000

ros-kinetic-velodyne (0.9.0-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Tue, 03 Apr 2012 05:00:00 -0000

ros-kinetic-velodyne (0.2.6-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Wed, 23 Feb 2011 06:00:00 -0000

ros-kinetic-velodyne (0.2.5-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 19 Nov 2010 06:00:00 -0000

ros-kinetic-velodyne (0.2.0-0xenial) xenial; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Tue, 17 Aug 2010 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-velodyne
Section: misc
Priority: extra
Maintainer: Josh Whitley <jwhitley@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://www.ros.org/wiki/velodyne
Standards-Version: 3.9.2

Package: ros-kinetic-velodyne
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-velodyne-driver, ros-kinetic-velodyne-laserscan, ros-kinetic-velodyne-msgs, ros-kinetic-velodyne-pointcloud
Description: Basic ROS support for the Velodyne 3D LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-velodyne//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
